cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

EMS getLogData always returns empty infotable

draskar
6-Contributor

EMS getLogData always returns empty infotable

Hi,

I'm testing some EMSs (one on my pc and some on GW devices) and every invocation of service getLogData returns me an empty infotable.

 

Of course the EMSs are logging on console and file.

I can't find anykind of configuration needed to read the logs via service.

 

Why it happens?

31 REPLIES 31
slangley
23-Emerald II
(To:draskar)

Hi @draskar.

 

If we're understanding correctly, this issue has been resolved in EMS 5.4.7.  Which version are you running?

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

Hi,

I'm currently using 5.46 version.

I'll download the new version and let you know but I'm a bit skeptical: getLogData never worked in previous versions? It seems strange.

draskar
6-Contributor
(To:draskar)

Hi,

in my download section I can only find this version:

 

Microserver-Windows-x86-32-openssl-5-4-0-114 (3 MB)

 

why 5.4.0?

draskar
6-Contributor
(To:draskar)

Hi,

I've downloaded the new version but it doesn't work anyway.

 

I didn't receive a NULL response but, instead, the EMS simply crushes.

slangley
23-Emerald II
(To:draskar)

Hi @draskar.

 

EMS 5.4.8 is releasing today and should contain a fix for your issue.  Please test it out and let us know if your issue is resolved.

 

Regards.

 

--Sharon

slangley
23-Emerald II
(To:slangley)

Hi @draskar.

 

Please let us know if you've had a chance to test out EMS 5.4.8 for resolving your issue. 

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

Hi,

I'm only able to download 5.4.0 version.

It's the second time I have this issue.

Can you please fix my user account?

slangley
23-Emerald II
(To:draskar)

Hi @draskar.

 

You should be able to find the latest release by following these instructions:

  1. Login to PTC Support
  2. Select Download Software
  3. Select Order or Download Software Updates
  4. Select ThingWorx Edge Microservers
  5. Expand Release 5.4

 

Please let me know if you have issues.

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

Hi,

yes I'm totally aware of how to dawnload it.

But this is the second time I have the issue.

When you upgrade the EMS version, in dowload section only appears the 5.4.0 version, not the latest one.

 

Happened the same when you released the 5.4.7 version and I had to open a ticket to fix my account.

Can you please fix it without opening another ticket?

slangley
23-Emerald II
(To:draskar)

Hi @draskar.

 

Please send me a private email with the email you're logging in with and a screenshot of what you're seeing, so we can follow up.

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

Hi,

problem is now solved.

I was able to download the version MED-61060-CD-054_SP8_Microserver-Windows-x86-32-openssl-5-4-8-1055

 

Last time I tried (24 april) I  was only able to donwload this version: 

 MED-61060-CD-054_F000_Microserver-Windows-x86-32-openssl-5-4-0-114

 

 

 

 

slangley
23-Emerald II
(To:draskar)

Hi @draskar.

 

If this issue occurs in the future, please try with a different browser or clear your cache.  If the problem persists after doing so, please provide the needed information so we can investigate.

 

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

Hi,

i'm trying the new EMS version but now I'm not able to connect anymore (in both DEV or PROD)

Config file is the same so I'm sure that everything is set ok:

 

[ERROR] 2020-05-06 09:45:12,471 SDK: twWs_Connect: Error restarting socket. Error 0
[DEBUG] 2020-05-06 09:45:17,472 SDK: twTlsClient_Reconnect: Re-establishing SSL context
[DEBUG] 2020-05-06 09:45:17,472 SDK: twTlsClient_ConnectSession: Connecting to server
[ERROR] 2020-05-06 09:45:17,516 SDK: TW_NEW_SSL_CLIENT: SSL handshake error. Error: error:1416F086:SSL routines:tls_process_server_certificate:certificate verify failed.

 

Have this new version some SSL restriction? 

draskar
6-Contributor
(To:draskar)

I also tried to connect without SSL ("encryption": "none" on config.JSON and http port changed)

Another error:

 

[DEBUG] 2020-05-06 10:13:30,390 SDK: twTlsClient_Reconnect: Re-establishing SSL context
[DEBUG] 2020-05-06 10:13:30,390 SDK: twTlsClient_ConnectSession: Connecting to server
[ERROR] 2020-05-06 10:13:30,433 SDK: twWs_Connect: Error reading from socket. Error: 10054

 

I also noticed that now EMS encrypt by itself the appKey.
Can I have a changelog of this version? 

draskar
6-Contributor
(To:rjanardan)

Ok some security checks but I can't understand how to make this EMS work (at least without SSL).

 

Can you help me?

slangley
23-Emerald II
(To:draskar)

Hi

 

Please take a look at the Help Center to verify your configuration.  If you're not able to resolve the issue, check the section on Information to Provide When Reporting an Issue and provide the needed information.  It may be necessary to open a case for investigating further.

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

Hi,

the "version issue" happened again.

I tried with Chrome in "incognito" mode but the issue remain.

 

I Opened case 15599759

slangley
23-Emerald II
(To:draskar)

Hi @draskar.

 

I checked the case but see that it was closed since the issue disappeared.  Now that you have been able to download the needed EMS version, did it resolve your issue?

 

Regards.

 

--Sharon

slangley
23-Emerald II
(To:draskar)

Hi @draskar.

 

Please let us know if you are still having issues.  If so, I will be happy to open a case on your behalf.  We will need the details per this Help Center topic.

 

If you have now resolved the issue, please provide the solution for the benefit of others on the community.

 

Thank you for your participation in our Community!

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

Hi, with the latest version it works,

but all timestamps are dated 1970.

 

Have you noticed that before?

slangley
23-Emerald II
(To:draskar)

Hi @draskar.

 

Is it possible your system date is wrong?  Or possibly something wrong with your conversion?  We're not seeing the problem in our testing.

 

In regard to the issue of the latest releases not showing up on the support site, are you selecting the "Order or Download Software Updates?"  If you choose the "Download Software by Sales Order Number" option, it will only show the version indicated in your Sales Order.

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

Hi,

I tried again with the windows EMS installed on my PC and it works.

 

So I tryed again the GW (with Linux EMS) on the same enviroment and now it desn't return logs at all (see attachment).

It's on since yesterday and of course he is logging on file (with 777 permissions)

slangley
23-Emerald II
(To:slangley)

Hi @draskar.

 

Which flavor of Linux are you running?  Which download file did you use?  Can you clarify regarding the logs?  Are you seeing logs being generated?

 

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

We have installed it on a Gateway with Debian.

 

The first time we tried we had the "1970 issue" described before .

 

The second time (after I tested successfully this version on my windows pc) non logs was returned to the API (empty infotable).

EMS logs on file without problems

slangley
23-Emerald II
(To:draskar)

Hi @draskar.

 

Do the logs have the correct date now?  Since you switched operating systems, did you confirm you're using the latest version of the EMS?

 

If you still have issues, I suggest we open a case for your issue.  I will be happy to open one on your behalf, if you agree.

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

Sorry I'm clearly not able to let you understand.

 

My issue is still presente with the "Linux version".

I did the same test with the windows version and it works (only to be sure that I was doing the right steps).

 

Can you please test this feature with the latest "linux version" on one of your devices?

slangley
23-Emerald II
(To:slangley)

Hi @draskar.

 

You will need a case for this issue.  I will be happy to open one on your behalf with your approval.

 

Regards.

 

--Sharon

draskar
6-Contributor
(To:slangley)

Thanks a lot.

Please open a ticket and find together a calendar slot for a webEx.

 

I'm ready to test the Debian EMS now.

Announcements